diff --git a/DOCS/interface-changes.rst b/DOCS/interface-changes.rst
index 0089f4425b5..f5e080be7fc 100644
--- a/DOCS/interface-changes.rst
+++ b/DOCS/interface-changes.rst
@@ -79,6 +79,10 @@ Interface changes
     - key/value list options do not accept ":" as item separator anymore,
       only ",". This means ":" is always considered part of the value.
     - remove deprecated --vo-vdpau-deint option
+    - delete the "watch later" config when ending the playback for a file; this
+      is in addition to deleting it when it is read on start-up, so this only
+      has an effect if the config has been re-written using
+      ``write-watch-later-config``.
  --- mpv 0.32.0 ---
     - change behavior when using legacy option syntax with options that start
       with two dashes (``--`` instead of a ``-``). Now, using the recommended
diff --git a/player/configfiles.c b/player/configfiles.c
index 0150133dbd9..29979e5a25d 100644
--- a/player/configfiles.c
+++ b/player/configfiles.c
@@ -456,6 +456,14 @@ void mp_load_playback_resume(struct MPContext *mpctx, const char *file)
     talloc_free(fname);
 }
 
+void mp_clear_playback_resume(struct MPContext *mpctx, const char *file)
+{
+    char *fname = mp_get_playback_resume_config_filename(mpctx, file);
+    if (fname)
+        unlink(fname);
+    talloc_free(fname);
+}
+
 // Returns the first file that has a resume config.
 // Compared to hashing the playlist file or contents and managing separate
 // resume file for them, this is simpler, and also has the nice property
diff --git a/player/core.h b/player/core.h
index aab408e92c3..0aff4aec5bb 100644
--- a/player/core.h
+++ b/player/core.h
@@ -513,6 +513,7 @@ void mp_parse_cfgfiles(struct MPContext *mpctx);
 void mp_load_auto_profiles(struct MPContext *mpctx);
 void mp_get_resume_defaults(struct MPContext *mpctx);
 void mp_load_playback_resume(struct MPContext *mpctx, const char *file);
+void mp_clear_playback_resume(struct MPContext *mpctx, const char *file);
 void mp_write_watch_later_conf(struct MPContext *mpctx);
 struct playlist_entry *mp_check_playlist_resume(struct MPContext *mpctx,
                                                 struct playlist *playlist);
diff --git a/player/loadfile.c b/player/loadfile.c
index 0adc8e351dc..2b7a6a32ee1 100644
--- a/player/loadfile.c
+++ b/player/loadfile.c
@@ -1703,6 +1703,8 @@ static void play_current_file(struct MPContext *mpctx)
 
     m_config_restore_backups(mpctx->mconfig);
 
+    mp_clear_playback_resume(mpctx, mpctx->filename);
+
     TA_FREEP(&mpctx->filter_root);
     talloc_free(mpctx->filtered_tags);
     mpctx->filtered_tags = NULL;
